Subject: Re: git-p4import.py robustness changes

From: Simon Hausmann <[email-masked]>
Date: Tue, 12 Jun 2007 23:46:56 +0200

On Monday 04 June 2007 07:56:00 Shawn O. Pearce wrote:
> Simon Hausmann <[email-masked]> wrote:
> > On the topic of git integration with perforce, what are the chances of
> > getting git-p4 ( http://repo.or.cz/w/fast-export.git ) into git's
> > contrib/fast-export area? :)
> >
> > git-p4 can do everything git-p4import can do plus a lot more (it can
> > track multiple branches, it's a hell of a lot faster, it can export back
> > to p4 and it also works on Windows!).
>
> I was sort of hoping we could fold the fast-export Git repository
> on repo.or.cz into core Git at some point.  Right now the only
> thing in contrib/fast-export is the import-tars.perl script that
> I maintain in my fastimport repository...  ;-)
>
> Like Junio I don't use Perforce, and can't test against it, but
> if you can maintain git-p4 (and I think the history on repo.or.cz
> shows that you do) then it may be a good idea to add it to core Git.
>
> Send a patch to add it.  Worst that happens is both Junio and I
> decide not to apply it.  Or I apply it, but Junio refuses to pull
> from me afterwards.  ;-)

Ok, I'll give it a try :)

I've used git-filter-branch to rewrite the history in fast-export to include 
only changes relevant to git-p4 and at the same time move all files into 
contrib/fast-import. The result is available as separate branch at

	git://repo.or.cz/fast-export.git git-p4

and technically merges fine into git.git's contrib/fast-import directory with 
three files (git-p4, git-p4.txt and git-p4.bat for windows convenience).

Please let me know if there's anything missing or if you prefer a different 
format or so. I also realized that I haven't really used the 'Signed-off-by' 
tags in the past but I'd be happy to adopt it for git inclusion if you prefer 
that :)

_If_ one of you decides to pull then my plan is to discontinue the git-p4 
branch in the fast-export repository and instead work in a git.git fork on 
repo.or.cz (similar to the fastimport repository).

Simon